<script setup lang="ts">
import { ref  } from 'vue';
const currentDate = ref()
const currentTime = ref()
const dialogVisible = ref(false);
const username = ref('');
const password = ref('');

const tableData = ref([]);

function dateTime(){
    const now = new Date();
    currentDate.value = now.toLocaleDateString();
    currentTime.value = now.toLocaleTimeString();
}
setInterval(dateTime,0)

function showCheckInDialog() {
  dialogVisible.value = true;
}
//ทดสอบ
function checkCredentials() {
  if (username.value === '1' && password.value === '1') {
    const entry = {
      date: currentDate.value,
      name: username.value,
      timeIn: currentTime.value,
      timeOut: '', // เวลาเช็คเอาท์ทีหลัง
      totalHour: '', // คำนวณเวลาทำงานได้ทีหลัง
      status: 'CHECKE IN',
    };

    // เพิ่มข้อมูลลง
    tableData.value.push(entry);

    // ปิด
    dialogVisible.value = false;
  } else {
    console.log('ข้อมูลไม่ถูกต้อง');
    
  }
}
</script>

<template>
<v-container>
    <v-row class="ma-2">
            <v-col>
                <p style=" font-size: 50px; text-align: center;">{{ currentTime }}  </p>
            </v-col>
        </v-row>
        <v-row>
            <v-col>
                <v-btn block rounded="xl" size="large" color="green" @click="showCheckInDialog">CHECK IN</v-btn>
            </v-col>
            <v-col >
                <v-btn block rounded="xl" size="large" color="red">CHECK OUT</v-btn>
            </v-col>
        </v-row>
        <v-dialog v-model="dialogVisible" max-width="500">
      <v-card>
        <v-card-title>CHECK IN</v-card-title>
        <v-card-text>
          <v-form @submit.prevent="checkCredentials">
            <v-text-field v-model="username" label="User" required></v-text-field>
            <v-text-field v-model="password" label="Password" type="password" required></v-text-field>
            <v-btn type="submit" color="primary">Confirm</v-btn>
          </v-form>
        </v-card-text>
      </v-card>
    </v-dialog>

</v-container>
        <v-table class="ma-2 rounded-xl">
    <thead>
      <tr>
        <th class="text-center">DATE</th>
        <th class="text-center">NAME</th>
        <th class="text-center">TIME IN</th>
        <th class="text-center">TIME OUT</th>
        <th class="text-center">TOTAL HOUR</th>
        <th class="text-center">STATUS</th>
      </tr>
    </thead>
    <tbody>
      <tr v-for="(entry, index) in tableData" :key="index">
        <td class="text-center">{{ entry.date }}</td>
        <td class="text-center">{{ entry.name }}</td>
        <td class="text-center">{{ entry.timeIn }}</td>
        <td class="text-center">{{ entry.timeOut }}</td>
        <td class="text-center">{{ entry.totalHour }}</td>
        <td class="text-center">{{ entry.status }}</td>
      </tr>
    </tbody>
  </v-table>
</template>

<style scoped>

</style>
